Subject: Re: Git.pm

From: Sam Vilain <[email-masked]>
Date: Thu, 26 Apr 2012 12:59:27 -0700

On 4/25/12 9:15 PM, Subho Banerjee wrote:
> --->  I see in the code that it says that the API is experimental. Is
> there any absolute need for backward compatibility, or can I try to
> redesign the API somewhat extensively?

If you stick to putting new APIs under different namespaces, or new 
functions, then you should be able to preserve API compatibility.  I 
think Git.pm is now too widely used for breaking compatibility to be an 
option.

I think I submitted a Git::Config to this list some time ago; did you 
find that?

Sam